| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactSearchChannel::SearchStateChangeDetails Class Reference
Wrapper classes

The ContactSearchChannel::SearchStateChangeDetails class provides a wrapper around the details for a search state change. More...

`#include <TelepathyQt/ContactSearchChannel>`

## Public Member Functions

| SearchStateChangeDetails ()
| SearchStateChangeDetails (const SearchStateChangeDetails &other)
| ~SearchStateChangeDetails ()
bool | isValid () const
SearchStateChangeDetails & | operator= (const SearchStateChangeDetails &other)
bool | hasDebugMessage () const
QString | debugMessage () const
QVariantMap | allDetails () const

## Detailed Description

The ContactSearchChannel::SearchStateChangeDetails class provides a wrapper around the details for a search state change.

See also
  ContactSearchChannel

## Constructor & Destructor Documentation

Tp::ContactSearchChannel::SearchStateChangeDetails::SearchStateChangeDetails | ( |  | ) |

Tp::ContactSearchChannel::SearchStateChangeDetails::SearchStateChangeDetails | ( | const SearchStateChangeDetails & | other | ) |

Tp::ContactSearchChannel::SearchStateChangeDetails::~SearchStateChangeDetails | ( |  | ) |

## Member Function Documentation

bool Tp::ContactSearchChannel::SearchStateChangeDetails::isValid | ( |  | ) | const

inline

ContactSearchChannel::SearchStateChangeDetails & Tp::ContactSearchChannel::SearchStateChangeDetails::operator= | ( | const SearchStateChangeDetails & | other | ) |

bool Tp::ContactSearchChannel::SearchStateChangeDetails::hasDebugMessage | ( |  | ) | const

inline

QString Tp::ContactSearchChannel::SearchStateChangeDetails::debugMessage | ( |  | ) | const

inline

QVariantMap Tp::ContactSearchChannel::SearchStateChangeDetails::allDetails | ( |  | ) | const